# TColgp_HSequenceOfXYZ.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColgp_HSequenceOfXYZ.hxx>`
`#include <TColgp_SequenceOfXYZ.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item gp_XYZ
#define | Item_hxx <gp_XYZ.hxx>
#define | TheSequence TColgp_SequenceOfXYZ
#define | TheSequence_hxx <TColgp_SequenceOfXYZ.hxx>
#define | TCollection_HSequence TColgp_HSequenceOfXYZ
#define | TCollection_HSequence_hxx <TColgp_HSequenceOfXYZ.hxx>
#define | Handle_TCollection_HSequence Handle_TColgp_HSequenceOfXYZ
#define | TCollection_HSequence_Type_() TColgp_HSequenceOfXYZ_Type_()

## Functions

Handle_TColgp_HSequenceOfXYZ | ShallowCopy (const Handle_TColgp_HSequenceOfXYZ &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColgp_HSequenceOfXYZ

#define Item gp_XYZ

#define Item_hxx <gp_XYZ.hxx>

#define TCollection_HSequence TColgp_HSequenceOfXYZ

#define TCollection_HSequence_hxx <TColgp_HSequenceOfXYZ.hxx>

#define TCollection_HSequence_Type_ | (

)

TColgp_HSequenceOfXYZ_Type_()

#define TheSequence TColgp_SequenceOfXYZ

#define TheSequence_hxx <TColgp_SequenceOfXYZ.hxx>

## Function Documentation

Handle_TColgp_HSequenceOfXYZ ShallowCopy | ( | const Handle_TColgp_HSequenceOfXYZ & | me | ) | `[inline]`